

using Microsoft.Maui.ApplicationModel;
using Microsoft.Maui.Media;
using Microsoft.Maui.Storage;

namespace InABox.Avalonia
{
    public class MobileDocumentVideoSource : MobileVideoSource<MobileDocumentVideoSource, MobileDocumentVideoOptions>
    {
        
        public MobileDocumentVideoSource(MobileDocumentVideoOptions options) : base(options)
        {
        }
        
        protected override async Task<bool> IsEnabled() 
            => await IsEnabled<Permissions.Photos>();
        
        protected override async Task<FileResult> Capture() 
            => await MediaPicker.CaptureVideoAsync();


    }
}